# Interface MessageAttributeInterface

All Known Implementing Classes:
  `ChangedAddress, ChangeRequest, Dummy, ErrorCode, MappedAddress, MappedResponseChangedSourceAddressReflectedFrom, MessageAttribute, MessageIntegrity, Password, ReflectedFrom, ResponseAddress, SourceAddress, UnknownAttribute, Username`

public interface MessageAttributeInterface

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`MessageAttributeInterface.MessageAttributeType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHANGEDADDRESS`
`static final int`
`CHANGEREQUEST`
`static final int`
`DUMMY`
`static final int`
`ERRORCODE`
`static final int`
`MAPPEDADDRESS`
`static final int`
`MESSAGEINTEGRITY`
`static final int`
`PASSWORD`
`static final int`
`REFLECTEDFROM`
`static final int`
`RESPONSEADDRESS`
`static final int`
`SOURCEADDRESS`
`static final int`
`UNKNOWNATTRIBUTE`
`static final int`
`USERNAME`

## Field Details

### MAPPEDADDRESS

static final int MAPPEDADDRESS

See Also:
  - Constant Field Values

### RESPONSEADDRESS

static final int RESPONSEADDRESS

See Also:
  - Constant Field Values

### CHANGEREQUEST

static final int CHANGEREQUEST

See Also:
  - Constant Field Values

### SOURCEADDRESS

static final int SOURCEADDRESS

See Also:
  - Constant Field Values

### CHANGEDADDRESS

static final int CHANGEDADDRESS

See Also:
  - Constant Field Values

### USERNAME

static final int USERNAME

See Also:
  - Constant Field Values

### PASSWORD

static final int PASSWORD

See Also:
  - Constant Field Values

### MESSAGEINTEGRITY

static final int MESSAGEINTEGRITY

See Also:
  - Constant Field Values

### ERRORCODE

static final int ERRORCODE

See Also:
  - Constant Field Values

### UNKNOWNATTRIBUTE

static final int UNKNOWNATTRIBUTE

See Also:
  - Constant Field Values

### REFLECTEDFROM

static final int REFLECTEDFROM

See Also:
  - Constant Field Values

### DUMMY

static final int DUMMY

See Also:
  - Constant Field Values